Skip to main content
Markets represent individual questions within an event. Each market has one or more outcomes (e.g., “Yes” / “No”), and each outcome has an associated token ID used in orderbook queries.

List Markets

GET
List all markets, ordered by 24-hour volume (descending, nulls last).

Query Parameters

limit
integer
default:"50"
Results per page (1–500).
min24hVolume
number
default:"0"
Minimum 24-hour volume filter. Only markets with volume_24h >= min24hVolume are returned.
offset
integer
Offset for pagination. When provided, cursor parameters are ignored.
cursor_volume
number
Volume cursor for pagination (from next object).
cursor_id
integer
Market ID cursor for pagination (from next object).

Example

Get top markets by volume:
curl "http://api.poly-data.xyz/markets?limit=5"
Get markets with at least $10,000 daily volume:
curl "http://api.poly-data.xyz/markets?min24hVolume=10000&limit=5"
Response:
{
  "limit": 5,
  "min24hVolume": 10000,
  "data": [
    {
      "id": 1034460,
      "event_id": 126261,
      "question": "Will Eintracht Frankfurt win on 2026-01-09?",
      "slug": "bun-ein-dor-2026-01-09-ein",
      "description": "...",
      "created_at": "2025-12-27T05:00:04.093Z",
      "start_date": "2025-12-27T05:13:00.407Z",
      "end_date": "2026-01-09T19:30:00.000Z",
      "deploying_timestamp": "2025-12-27T05:00:55.483Z",
      "active": true,
      "closed": false,
      "archived": false,
      "ready": false,
      "funded": false,
      "accepting_orders": true,
      "neg_risk": true,
      "volume_24h": "225160.59",
      "volume_total": "231175.94",
      "liquidity": "438058.03",
      "order_min_size": "5",
      "order_price_min_tick_size": "0.001"
    }
  ],
  "next": {
    "cursor_volume": 225160.59,
    "cursor_id": 1034460
  }
}
cursor_volume can be null for markets without 24-hour volume data.

Get Market

GET
Get a single market by its numeric ID, including embedded outcomes with token IDs.

Path Parameters

id
integer
required
Market ID (numeric only).

Example

curl "http://api.poly-data.xyz/markets/1034460"
Response:
{
  "id": "1034460",
  "event_id": "126261",
  "question": "Will Eintracht Frankfurt win on 2026-01-09?",
  "slug": "bun-ein-dor-2026-01-09-ein",
  "description": "In the upcoming game, scheduled for January 9, 2026\nIf Eintracht Frankfurt wins, this market will resolve to \"Yes\".\nOtherwise, this market will resolve to \"No\".",
  "created_at": "2025-12-27T05:00:04.093Z",
  "start_date": "2025-12-27T05:13:00.407Z",
  "end_date": "2026-01-09T19:30:00.000Z",
  "deploying_timestamp": "2025-12-27T05:00:55.483Z",
  "active": true,
  "closed": false,
  "archived": false,
  "ready": false,
  "funded": false,
  "accepting_orders": true,
  "neg_risk": true,
  "volume_24h": "225160.59007300003",
  "volume_total": "231175.940446",
  "liquidity": "438058.02695",
  "order_min_size": "5",
  "order_price_min_tick_size": "0.001",
  "outcomes": [
    {
      "id": 12771,
      "outcome_index": 0,
      "outcome": "Yes",
      "token_id": "113230976933674601135419276232321769865636781054804255103253100668166812267778"
    },
    {
      "id": 12772,
      "outcome_index": 1,
      "outcome": "No",
      "token_id": "114877335229422177970817804142795745566078153600519625559547182926779275233294"
    }
  ]
}

Market Response Fields

FieldTypeDescription
idstringMarket ID
event_idstringParent event ID
questionstringThe market question
slugstringURL-safe slug
descriptionstringDetailed market description
created_atstringISO 8601 creation timestamp
start_datestringISO 8601 start timestamp
end_datestringISO 8601 end timestamp
deploying_timestampstringISO 8601 deployment timestamp
activebooleanWhether the market is active
closedbooleanWhether the market is closed
archivedbooleanWhether the market is archived
readybooleanWhether the market is ready
fundedbooleanWhether the market is funded
accepting_ordersbooleanWhether orders are currently accepted
neg_riskbooleanNegative risk flag
volume_24hstringTrading volume in the last 24 hours
volume_totalstringAll-time trading volume
liquiditystringCurrent liquidity
order_min_sizestringMinimum order size
order_price_min_tick_sizestringMinimum price tick size
outcomesarrayList of outcomes (only on single-market endpoint)

Outcome Object

FieldTypeDescription
idintegerOutcome ID
outcome_indexintegerPosition index (0 = Yes, 1 = No)
outcomestringOutcome name (e.g., “Yes”, “No”)
token_idstringToken ID used in orderbook queries as asset_id
The token_id is what you’ll use as the asset_id parameter when querying orderbooks for a specific outcome.